Summary:	GUI for handling X509 certificates, RSA keys and PKCS#10 requests
Name:		xca
Version:	1.3.2
Release:	%mkrel 3
License:	BSD
Group:		System/Servers
Source0:	http://prdownloads.sourceforge.net/xca/%{name}-%{version}.tar.gz
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		xca-0.6.4-lib64.patch
# Fedora patches
# Patch1:		xca-0.6.4-includes.patch
# Patch2:		xca-0.6.4-openssl10.patch
Patch3:		xca-0.9.0-fprintf.patch
URL:		http://xca.sourceforge.net/
%if %mgaversion < 6
BuildRequires:	qt4-devel
BuildRequires:	qt4-linguist
%else
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5
%endif
BuildRequires:	db-devel
BuildRequires:	openssl-devel
BuildRequires:	linuxdoc-tools
BuildRequires:	libltdl-devel

%description
XCA uses a Berkeley DB for storage and supports RSA keys,
certificate signing requests (PKCS#10) and Certificates (X509v3)
The signing of requests, and the creation of selfsigned certificates
is supported. Both can use templates for simplicity.
The PKI structures can be imported and exported in several formats
like PKCS#7, PKCS#12, PEM, DER, PKCS#8.

%prep
%setup -q
#patch0 -p1 -b .lib64
#patch1 -p1 -b .includes
#patch2 -p1 -b .openssl10
#patch3 -p0 -b .fprintf
perl -n -i -e '$/="\r\n";chomp;print;print "\n"' COPYRIGHT
perl -pi -e 's,\/usr\/lib\/,%{_libdir},g' configure

%build
CFLAGS="$RPM_OPT_FLAGS -I%{qt4include}/Qt -fpermissive" \
#QTDIR="%{qt4dir}" \
#prefix=%{_prefix} ./configure

%configure2_5x
%make

%install
#make destdir=%{buildroot} prefix=%{_prefix} mandir=share/man install
export TOPDIR=%{buildroot}
export destdir=%{buildroot}
%makeinstall_std 

rm -f %{buildroot}%{_datadir}/pixmaps/xca.xpm

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m644 %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean
rm -rf %{buildroot}

%if "%{distribution}" == "Mandriva Linux"
	%if %mdkversion < 200900
		%post
		%{update_menus}
		%{update_icon_cache hicolor}

		%postun
		%{clean_menus}
		%{clean_icon_cache hicolor}
	%endif
%endif

%files
%defattr(-,root,root, 755)
%doc AUTHORS COPYRIGHT
%doc doc/*.html
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/xca-32x32.xpm
%{_datadir}/applications/*.desktop
%{_bindir}/%{name}
%{_bindir}/xca_db_stat
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%{_datadir}/mime/packages/xca.xml


%changelog
* Wed Dec 23 2015 dlucio <dlucio> 1.3.2-3.mga6
+ Revision: 913820
+ rebuild (emptylog)

* Wed Dec 23 2015 dlucio <dlucio> 1.3.2-2.mga6
+ Revision: 913736
- use qt5

* Thu Nov 12 2015 tv <tv> 1.3.2-1.mga6
+ Revision: 902964
- adjust file list
- new release

* Sat Dec 27 2014 dlucio <dlucio> 1.1.0-1.mga5
+ Revision: 806373
- 1.1.0
- P0 merged upstream
- file list fixes

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-4.mga5
+ Revision: 740339
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-3.mga5
+ Revision: 690557
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.9.3-2.mga4
+ Revision: 540635
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dlucio <dlucio> 0.9.3-1.mga4
+ Revision: 494077
- 0.9.3
- website url updated

* Mon Jan 14 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 386645
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 dlucio <dlucio> 0.9.1-1.mga2
+ Revision: 165319
- 0.9.1
  P3 dropped

* Sat Oct 15 2011 dlucio <dlucio> 0.9.0-2.mga2
+ Revision: 155297
- trying to keep sync with mageia, more easy for me
- imported package xca

